#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum ECodecUsageReason {
    Unknown = 0,
    RemotePlay = 1,
    Broadcasting = 2,
    GameVideo = 3,
    GameRecording = 4,
}

impl ECodecUsageReason {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Unknown as i32 => Some(Self::Unknown),
            x if x == Self::RemotePlay as i32 => Some(Self::RemotePlay),
            x if x == Self::Broadcasting as i32 => Some(Self::Broadcasting),
            x if x == Self::GameVideo as i32 => Some(Self::GameVideo),
            x if x == Self::GameRecording as i32 => Some(Self::GameRecording),
            _ => None,
        }
    }
}
